<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <div>
        <form>
            <div>
                <label for="nombre">Nombre completo</label>
                <input type="text" id="nombre" name="nombre" value="clase">
            </div>
            <div onclick="leerDatos()">
                <label for="edad">Edad</label>
                <input type="number" id="edad" name="edad" value="10">
            </div>
            <div>
                <button type="button" onclick="leerDatos()">Enviar</button>
                <button type="reset">Limpiar</button>
            </div>
        </form>
    </div>
</body>
<script src="1.js"></script>

</html>